import greenfoot.*;


/**
 * The thing you have to hit to earn points.
 * The different colors also mean different points, so you get
 * some variation in the game!
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public class Ball extends Actor
{
    public enum BallColor
    {
        RED, BLUE, YELLOW, ORANGE, GREEN, BLACK
    }
    private int points;
    
    /**
     * Constructor for objects of the class Ball, with a red
     * color.
     */
    public Ball()
    {
        this(BallColor.RED);
    }
    
    public Ball(BallColor color)
    {
        switch(color) {
            case RED:
                setImage("apel.png");
                this.points = 2;
                break;
            case BLUE:
                setImage("burger.png");
                this.points = 2;
                break;
            case YELLOW:
                setImage("pisang.png");
                this.points = 2;
                break;
            case ORANGE:
                setImage("anggur.png");
                this.points = 2;
                break;
            case GREEN:
                setImage("merah.png");
                this.points = 2;
                break;
            case BLACK:
                setImage("hitam.png");
                this.points = 2;
                break;
        }
    }
    
    /**
     * Returns the number of balls you score with this ball.
     */
    public int getPoints()
    {
        return this.points;
    }
}