import greenfoot.*;

/**
 * A world which presents the highscores of the game.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public class HighscoresWorld extends PresentedWorld implements ButtonResponder
{
    private static final String BACK_BUTTON_TITLE = "Back";
    private Thread highscoreThread;
    
    /**
     * Constructor for objects of the class HighscoresWorld.
     */
    public HighscoresWorld(int width, int height, int cellSize, GreenfootImage background)
    {
        super(width, height, cellSize, background);
        createUI();
    }
    private void createUI()
    {
        highscoreThread = new Thread(new ScoreBoardThread(this, null, -1));
        highscoreThread.start();
        Button b = new Button(BACK_BUTTON_TITLE);
        b.setResponder(this);
        addObject(b, getWidth() /2, getHeight() -50);
    }
    
    public void buttonClicked(Button button)
    {
        String buttonTitle = button.getTitle();
        if (buttonTitle.equals(BACK_BUTTON_TITLE)) {
            getResponder().worldShouldBeDismissed(this);
            highscoreThread.interrupt();
        }
    }
}