import greenfoot.*;

/**
 * The menu where you can select options. It is the first
 * thing you see on screen.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public class MainMenu extends World implements ButtonResponder, WorldResponder
{
    private static final String VERSION = "1.0.1";
    private static final String START_GAME_BUTTON_TITLE = "MULAI";
    
    
    /**
     * Constructor for objects of the class MainMenu.
     */
    public MainMenu()
    {
        super(400, 400, 1);
        createUI();
        Greenfoot.start();
    }
    
    private void createUI()
    {
        Button b = new Button(START_GAME_BUTTON_TITLE);
        b.setResponder(this);
        addObject(b, getWidth() /2, 150);
        
    }
    
    public void buttonClicked(Button button)
    {
        String buttonTitle = button.getTitle();
        if (buttonTitle.equals(START_GAME_BUTTON_TITLE)) {
            GameWorld w = new GameWorld(getWidth(), getHeight(), getCellSize(), getBackground());
            w.setResponder(this);
            Greenfoot.setWorld(w);
        }
    }
    
    public void worldShouldBeDismissed(World world)
    {
        Greenfoot.setWorld(this);
    }
    public void worldShouldBeDismissedWithOptions(World world, Object[] options)
    {
        Greenfoot.setWorld(this);
    }
}