import greenfoot.*;


/**
 * A way to present the user a message on screen.
 * It does it in the way you expect: quite beautiful.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public class Message extends Actor
{
    /**
     * Constructor for objects of the class Message.
     */
    public Message(String message)
    {
        createImage(message);
    }
    
    private void createImage(String text)
    {
        GreenfootImage img = new GreenfootImage(100, 50);
        GreenfootImage textImg = new GreenfootImage(text, 22, Color.WHITE, null);
        
        int width = Math.max(img.getWidth() -20, textImg.getWidth());
        int height = Math.max(img.getHeight() -20, textImg.getHeight());
        if (img.getWidth() -20 < width || img.getHeight() -20 < height) {
            img.scale(width +30, height +30);
        }
        
        img.setColor(Color.BLACK);
        img.fill();
        img.setColor(new Color(0, 0, 255, 200));
        img.fillRect(4, 4, img.getWidth() - 8, img.getHeight() - 8);
        img.setTransparency(200);
        
        int x = (img.getWidth() -textImg.getWidth() ) /2;
        int y = (img.getHeight() -textImg.getHeight() ) /2;
        img.drawImage(textImg, x, y);
        
        setImage(img);
    }
    
    /**
     * Shows the alert in a given world.
     */
    public void showInWorld(World world)
    {
        world.addObject(this, world.getWidth() /2, world.getHeight() /2);
    }
}