/**
 * Implements this interface to respond to pause menus.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public interface PauseMenuResponder
{
    /**
     * This is called when the pause menu has appeared: the game
     * should be paused by you in this method.
     */
    public void gameShouldBePaused(PauseMenu sender);
    
    /**
     * This is called when a pause menu got the message that
     * the game can continue: the pause menu will remove itself.
     */
    public void gameShouldContinue(PauseMenu sender);
    
    /**
     * This is called when a pause menu got the message that the
     * game should be ended: return to the main menu. The pause menu
     * will remove itself.
     */
    public void gameShouldBeEnded(PauseMenu sender);
}