import greenfoot.*;

/**
 * A class to add the responder protocol to world classes.
 * This uses the WorldResponder interface, so implement that
 * for subclasses of this class.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public abstract class PresentedWorld extends World
{
    private WorldResponder responder;
    
    /**
     * Constructor for objects of class PresentedWorld.
     */
    public PresentedWorld(int width, int height, int cellSize, GreenfootImage background)
    {
        super(width, height, cellSize);
        setBackground(background);
    }
    
    /**
     * Sets the responder of the world.
     */
    public void setResponder(WorldResponder responder)
    {
        if (this.responder != responder) {
            this.responder = responder;
        }
    }
    
    /**
     * Returns the responder of the world.
     */
    public WorldResponder getResponder()
    {
        return this.responder;
    }
}