import greenfoot.World;

/**
 * Write a description of class WorldResponder here.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public interface WorldResponder
{
    /**
     * This gets called on you when a world should be dismissed by the presenter.
     * This would be called if a back button is pressed or something.
     * @param world The world which send you this message.
     */
    public void worldShouldBeDismissed(World world);
    
    /**
     * This gets called on you when a world should be dismissed, but with some
     * exit options. That are things like a selected object or something.
     * 
     * @param world The world which send you this message.
     * @param options An array of objects, representing some selected things
     * or something else.
     * The implementer should tell what it puts in this.
     */
    public void worldShouldBeDismissedWithOptions(World world, Object[] options);
}